Bug 1022163 - SimplyHTML: remove versioned jars from %{_javadir}
SimplyHTML: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: simplyhtml (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:53 EDT by Stanislav Ochotnicky
Modified: 2014-03-25 12:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.16.7-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 12:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adapt to current packaging guidelines (3.74 KB, patch)
2014-01-07 06:53 EST, Michael Simacek
no flags Details | Diff
Adapt to current packaging guidelines (3.74 KB, patch)
2014-03-25 05:59 EDT, Michael Simacek
no flags Details | Diff
Adapt to current packaging guidelines (3.95 KB, patch)
2014-03-25 09:42 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:53:19 EDT
Package SimplyHTML seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
SimplyHTML:
/usr/share/java/SimplyHTML/SimplyHTML-0.16.7.jar
/usr/share/java/SimplyHTML/SimplyHTML-help-0.16.7.jar
/usr/share/java/SimplyHTML/SimplyHTMLHelp-0.16.7.jar
/usr/share/java/SimplyHTML/simplyhtml-0.16.7.jar
/usr/share/java/SimplyHTML/simplyhtmlhelp-0.16.7.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Michael Simacek 2014-01-07 06:53:59 EST
Created attachment 846624 [details]
Adapt to current packaging guidelines
Comment 2 Michael Simacek 2014-03-25 05:59:58 EDT
Created attachment 878365 [details]
Adapt to current packaging guidelines

Rebased
Comment 3 Mikolaj Izdebski 2014-03-25 09:39:47 EDT
symlink was changed to directory, this requires workaround for rpm bug:

    # Workaround for RPM bug #646523 - can't change symlink to directory
    # TODO: Remove this in F-23
    %pretrans javadoc -p <lua>
    dir = "%{_javadocdir}/%{name}"
    dummy = posix.readlink(dir) and os.remove(dir)
     
Michael, please update your patch.
Comment 4 Michael Simacek 2014-03-25 09:42:30 EDT
Created attachment 878465 [details]
Adapt to current packaging guidelines
Comment 5 Mikolaj Izdebski 2014-03-25 09:48:52 EDT
Fixed in SimplyHTML-0.16.7-3
Comment 6 Mikolaj Izdebski 2014-03-25 12:05:10 EDT
Built for rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=506856
Closing.

Note You need to log in before you can comment on or make changes to this bug.